apiVersion: apps/v1
kind: Deployment
metadata:
  name: flaresolverr
  namespace: stack-arr
spec:
  replicas: 1
  selector:
    matchLabels:
      app: flaresolverr
  template:
    metadata:
      labels:
        app: flaresolverr
    spec:
      imagePullSecrets:
      - name: regcred
      containers:
      - name: flaresolverr
        image: ghcr.io/flaresolverr/flaresolverr:latest
        securityContext:
          capabilities:
            add:
              - NET_ADMIN
        ports:
          - containerPort: 8191
            name: porta
        env:
        - name: LOG_LEVEL
          value: "info"


